Index: trunk/packages/sipb-xen-www/files/etc/apache2/conf.d/sipb-xen-repository
===================================================================
--- trunk/packages/sipb-xen-www/files/etc/apache2/conf.d/sipb-xen-repository	(revision 1235)
+++ 	(revision )
@@ -1,17 +1,0 @@
-Alias /sipb-xen /srv/repository
-
-Alias /debian/ /debian/
-
-<Directory /srv/repository>
-		Options Indexes FollowSymLinks MultiViews
-		AllowOverride None
-		Order allow,deny
-		allow from all
-</Directory>
-
-<Directory /debian>
-		Options Indexes FollowSymLinks MultiViews
-		AllowOverride None
-		Order allow,deny
-		allow from all
-</Directory>
Index: trunk/packages/sipb-xen-www/files/etc/apache2/conf.d/sipb-xen-www
===================================================================
--- trunk/packages/sipb-xen-www/files/etc/apache2/conf.d/sipb-xen-www	(revision 1235)
+++ 	(revision )
@@ -1,4 +1,0 @@
-<IfModule mod_fcgid.c>
-  IPCConnectTimeout 600
-  IPCCommTimeout 600
-</IfModule>
Index: trunk/packages/sipb-xen-www/files/etc/apache2/sites-available/default
===================================================================
--- trunk/packages/sipb-xen-www/files/etc/apache2/sites-available/default	(revision 1235)
+++ 	(revision )
@@ -1,51 +1,0 @@
-NameVirtualHost *:80
-<VirtualHost *:80>
-	ServerAdmin webmaster@localhost
-	
-	DocumentRoot /var/www/sipb-xen-www
-	<Directory /var/www/sipb-xen-www>
-		Options Indexes FollowSymLinks MultiViews ExecCGI
-		AllowOverride None
-		Order allow,deny
-		allow from all
-	</Directory>
-
-	RewriteEngine On
-	RewriteRule ^/static(.*) - [L]
-	RewriteRule ^/admin/static(.*) /static/$1 [L]
-        RewriteRule ^/trac.fcgi(.*) - [L]
-        RewriteRule ^/trac/chrome/common(.*) /usr/share/trac/htdocs$1 [L]
-	RewriteRule ^/trac/login(.*) https://xvm.mit.edu/trac/login$1 [L]
-        RewriteRule ^/trac(.*) /var/www/trac/trac.fcgi$1 [L]
-	RewriteRule ^/sipb-xen - [L]
-	RewriteRule ^/kill.cgi - [L]
-	RewriteRule ^/~ - [L]
-	RewriteRule ^/(.*) /var/www/sipb-xen-www/main.fcgi/$1 [L]
-
-	ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/
-	<Directory "/usr/lib/cgi-bin">
-		AllowOverride None
-		Options ExecCGI -MultiViews +SymLinksIfOwnerMatch
-		Order allow,deny
-		Allow from all
-	</Directory>
-
-	ErrorLog /var/log/apache2/error.log
-
-	# Possible values include: debug, info, notice, warn, error, crit,
-	# alert, emerg.
-	LogLevel notice
-
-	CustomLog /var/log/apache2/access.log combined
-	ServerSignature On
-
-    Alias /doc/ "/usr/share/doc/"
-    <Directory "/usr/share/doc/">
-        Options Indexes MultiViews FollowSymLinks
-        AllowOverride None
-        Order deny,allow
-        Deny from all
-        Allow from 127.0.0.0/255.0.0.0 ::1/128
-    </Directory>
-
-</VirtualHost>
Index: trunk/packages/sipb-xen-www/files/etc/apache2/sites-available/ssl.mako
===================================================================
--- trunk/packages/sipb-xen-www/files/etc/apache2/sites-available/ssl.mako	(revision 1235)
+++ 	(revision )
@@ -1,120 +1,0 @@
-<%
-from invirt.config import structs as cfg
-hostname = cfg.web.hostname
-errmail  = cfg.web.errormail
-tracuri  = cfg.trac.uri
-%>
-Listen 442
-Listen 446
-
-<%def name="invirt_webinterface()">
-	DocumentRoot /var/www/sipb-xen-www
-	<Directory /var/www/sipb-xen-www>
-		Options Indexes FollowSymLinks MultiViews ExecCGI
-		AllowOverride None
-		Order allow,deny
-		allow from all
-	</Directory>
-	<Location />
-${caller.body()}
-	</Location>
-
-	RewriteEngine On
-	RewriteRule ^/favicon.ico - [L]
-	RewriteRule ^/static(.*) - [L]
-	RewriteRule ^/overlord/static(.*) /static/$1 [L]
-	RewriteRule ^/admin/static(.*) /static/$1 [L]
-	RewriteRule ^/trac.fcgi(.*) - [L]
-	RewriteRule ^/trac/chrome/common(.*) /usr/share/trac/htdocs$1 [L]
-	RewriteRule ^/trac(.*) /var/www/trac/trac.fcgi$1 [L]
-	RewriteRule ^/var(.*) - [L]
-	RewriteRule ^/wiki(.*) - [L]
-	RewriteRule ^/kill.cgi - [L]
-	RewriteRule ^/~ - [L]
-	RewriteRule ^/(.*) /var/www/sipb-xen-www/main.fcgi/$1 [L]
-
-	RewriteLog /var/log/apache2/rewrite.log
-	RewriteLogLevel 0 
-
-	ErrorLog /var/log/apache2/error.log
-
-	# Possible values include: debug, info, notice, warn, error, crit,
-	# alert, emerg.
-	LogLevel warn
-
-	CustomLog /var/log/apache2/ssl_access.log combined
-	ServerSignature On
-
-	SSLEngine on
-
-	SSLCertificateFile ssl/server.crt
-	SSLCertificateKeyFile ssl/server.key
-	
-	SSLCACertificateFile ssl/mitCAclient.pem
-	SSLVerifyDepth 10
-
-	SSLOptions +StdEnvVars
-	
-	SetEnvIf User-Agent ".*MSIE.*" nokeepalive ssl-unclean-shutdown downgrade-1.0 force-response-1.0
-
-	Redirect /wiki ${tracuri}	
-</%def>
-<VirtualHost *:443>
-	ServerAdmin ${errmail}
-	ServerName ${hostname}:443
-	<%call expr="invirt_webinterface()">
-		Require valid-user
-		AuthType SSLCert
-		AuthSSLCertVar SSL_CLIENT_S_DN_Email
-		AuthSSLCertStripSuffix "@MIT.EDU"
-	</%call>
-	SSLVerifyClient require
-</VirtualHost>
-<VirtualHost *:442>
-	ServerAdmin ${errmail}
-	ServerName ${hostname}:442
-	<%call expr="invirt_webinterface()">
-		Require valid-user
-		AuthType Kerberos
-		KrbMethodNegotiate on
-		KrbMethodK5Passwd off
-		KrbAuthoritative off
-		KrbAuthRealms ${cfg.authn[0].realm}
-		Krb5Keytab /etc/invirt/keytab
-		KrbSaveCredentials off
-	</%call>
-	SSLVerifyClient optional
-</VirtualHost>
-
-<VirtualHost *:446>
-	ServerAdmin ${errmail}
-	ServerName ${hostname}:446
-	
-	DocumentRoot /var/www/sipb-xen-www
-	<Directory />
-		Options Indexes FollowSymLinks MultiViews ExecCGI
-		AllowOverride None
-		Order allow,deny
-		allow from all
-	</Directory>
-
-	ErrorLog /var/log/apache2/error.log
-
-	# Possible values include: debug, info, notice, warn, error, crit,
-	# alert, emerg.
-	LogLevel warn
-
-	CustomLog /var/log/apache2/ssl_nocert_access.log combined
-	ServerSignature On
-
-	SSLEngine on
-
-	SSLCertificateFile ssl/server.crt
-	SSLCertificateKeyFile ssl/server.key
-	
-	SSLVerifyClient none
-
-	SSLOptions +StdEnvVars
-	
-	SetEnvIf User-Agent ".*MSIE.*" nokeepalive ssl-unclean-shutdown downgrade-1.0 force-response-1.0	
-</VirtualHost>
Index: trunk/packages/sipb-xen-www/files/etc/apache2/sites-available/svn.mako
===================================================================
--- trunk/packages/sipb-xen-www/files/etc/apache2/sites-available/svn.mako	(revision 1235)
+++ 	(revision )
@@ -1,40 +1,0 @@
-<%
-from invirt.config import structs as cfg
-hostname = cfg.web.hostname
-errmail  = cfg.web.errormail
-svnpath  = cfg.svn.repopath
-%>
-Listen 1111
-<VirtualHost *:1111>
-	ServerAdmin ${errmail}
-	ServerName ${hostname}:1111
-	
-	<Directory />
-		Options FollowSymLinks
-		AllowOverride None
-	</Directory>
-	<Location />
-		DAV svn
-		SVNPath ${svnpath}
-		AuthType Basic
-		AuthName "xvm.mit.edu subversion repository"
-		AuthUserFile /etc/apache2/dav_svn.passwd
-		<LimitExcept GET PROPFIND OPTIONS REPORT>
-			Require valid-user
-		</LimitExcept>
-	</Location>
-
-	ErrorLog /var/log/apache2/error.log
-
-	# Possible values include: debug, info, notice, warn, error, crit,
-	# alert, emerg.
-	LogLevel warn
-
-	CustomLog /var/log/apache2/svn_access.log combined
-	ServerSignature On
-
-	SSLEngine on
-
-	SSLCertificateFile ssl/server.crt
-	SSLCertificateKeyFile ssl/server.key
-</VirtualHost>
Index: trunk/packages/sipb-xen-www/files/etc/apache2/sites-enabled/000-default
===================================================================
--- trunk/packages/sipb-xen-www/files/etc/apache2/sites-enabled/000-default	(revision 1235)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../sites-available/default
Index: trunk/packages/sipb-xen-www/files/etc/apache2/sites-enabled/ssl
===================================================================
--- trunk/packages/sipb-xen-www/files/etc/apache2/sites-enabled/ssl	(revision 1235)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../sites-available/ssl
Index: trunk/packages/sipb-xen-www/files/etc/apache2/sites-enabled/svn
===================================================================
--- trunk/packages/sipb-xen-www/files/etc/apache2/sites-enabled/svn	(revision 1235)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../sites-available/svn
Index: trunk/packages/sipb-xen-www/files/etc/init.d/apache2.invirt
===================================================================
--- trunk/packages/sipb-xen-www/files/etc/init.d/apache2.invirt	(revision 1235)
+++ 	(revision )
@@ -1,61 +1,0 @@
-#!/usr/bin/pagsh -e
-### BEGIN INIT INFO
-# Provides:          apache2
-# Required-Start:    $local_fs $remote_fs $network $syslog openafs-client
-# Required-Stop:     $local_fs $remote_fs $network $syslog openafs-client
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: Start/stop apache2 web server
-### END INIT INFO
-#
-# Apache kstart wrapper by anders.
-#
-
-SCRIPT=/etc/init.d/apache2.invirt-orig
-KSTART_PIDFILE=/var/run/k5start-apache2.pid
-KSTART_KEYTAB=/etc/invirt/keytab
-
-export AFSCELL=sipb.mit.edu
-
-kstart_start () {
-    TMP_PIDFILE=$(mktemp /tmp/k5start-apache2.pid-XXXXXX)
-    chown www-data "$TMP_PIDFILE"
-    export KRB5CCNAME=$(mktemp /tmp/krb5cc_33.kstart-XXXXXX)
-    chown www-data $KRB5CCNAME
-    /sbin/start-stop-daemon --start --pidfile "$TMP_PIDFILE" -c www-data \
-	--exec /usr/bin/k5start -- -b -p "$TMP_PIDFILE" \
-	-U -f "$KSTART_KEYTAB" -K10 -S afs -I "$AFSCELL" -t -b
-    cat "$TMP_PIDFILE" >|"$KSTART_PIDFILE"
-    rm -f "$TMP_PIDFILE"
-}
-kstart_stop () {
-    if [ -e $KSTART_PIDFILE ]; then
-	/sbin/start-stop-daemon --stop --pidfile $KSTART_PIDFILE
-	rm -f $KSTART_PIDFILE
-    else
-	echo -n " ... no kstart pidfile"
-    fi
-}
-
-case "$1" in
-  start)
-    echo -n "Starting kstart for Apache2: k5start"
-    kstart_start
-    echo "."
-    exec "$SCRIPT" start
-    ;;
-  stop)
-    "$SCRIPT" stop
-    echo -n "Stopping kstart for Apache2: k5start"
-    kstart_stop
-    echo "."
-    ;;
-  restart|force-reload)
-    "$0" stop
-    sleep 1
-    "$0" start
-    ;;
-  *)
-    exec "$SCRIPT" "$@"
-    ;;
-esac
